#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './kldotmatrixcharacterwizardbase.ui'
**
** Created: 2011-05-11T16:51:48
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "kldotmatrixcharacterwizardbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qframe.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KLDotMatrixCharacterWizardBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KLDotMatrixCharacterWizardBase::KLDotMatrixCharacterWizardBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KLDotMatrixCharacterWizardBase" );
    setModal( TRUE );
    KLDotMatrixCharacterWizardBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KLDotMatrixCharacterWizardBaseLayout"); 

    buttonGroup1 = new QButtonGroup( this, "buttonGroup1" );
    buttonGroup1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)4, 0, 0, buttonGroup1->sizePolicy().hasHeightForWidth() ) );
    buttonGroup1->setColumnLayout(0, Qt::Vertical );
    buttonGroup1->layout()->setSpacing( 6 );
    buttonGroup1->layout()->setMargin( 11 );
    buttonGroup1Layout = new QGridLayout( buttonGroup1->layout() );
    buttonGroup1Layout->setAlignment( Qt::AlignTop );

    rb5x8 = new QRadioButton( buttonGroup1, "rb5x8" );
    rb5x8->setChecked( TRUE );

    buttonGroup1Layout->addWidget( rb5x8, 0, 0 );

    rb5x10 = new QRadioButton( buttonGroup1, "rb5x10" );

    buttonGroup1Layout->addWidget( rb5x10, 0, 1 );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( buttonGroup1, 2, 2, 2, 5 );

    pbRemove = new QPushButton( this, "pbRemove" );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( pbRemove, 4, 4, 4, 5 );

    lvCharacters = new QListView( this, "lvCharacters" );
    lvCharacters->addColumn( tr2i18n( "Character" ) );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( lvCharacters, 3, 6, 2, 3 );

    pbAdd = new QPushButton( this, "pbAdd" );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( pbAdd, 3, 3, 4, 5 );

    frmCharacter = new QFrame( this, "frmCharacter" );
    frmCharacter->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 1, 0, frmCharacter->sizePolicy().hasHeightForWidth() ) );
    frmCharacter->setMinimumSize( QSize( 80, 100 ) );
    frmCharacter->setFrameShape( QFrame::StyledPanel );
    frmCharacter->setFrameShadow( QFrame::Raised );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( frmCharacter, 0, 6, 0, 1 );

    pbUp = new QPushButton( this, "pbUp" );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( pbUp, 5, 5, 4, 5 );

    tlVarName = new QLabel( this, "tlVarName" );

    KLDotMatrixCharacterWizardBaseLayout->addWidget( tlVarName, 0, 2 );

    pbDown = new QPushButton( this, "pbDown" );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( pbDown, 6, 6, 4, 5 );

    tlVarType = new QLabel( this, "tlVarType" );

    KLDotMatrixCharacterWizardBaseLayout->addWidget( tlVarType, 1, 2 );

    leVarName = new QLineEdit( this, "leVarName" );

    KLDotMatrixCharacterWizardBaseLayout->addWidget( leVarName, 0, 3 );

    leVarType = new QLineEdit( this, "leVarType" );

    KLDotMatrixCharacterWizardBaseLayout->addWidget( leVarType, 1, 3 );

    line1 = new QFrame( this, "line1" );
    line1->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)1, (QSizePolicy::SizeType)4, 0, 0, line1->sizePolicy().hasHeightForWidth() ) );
    line1->setMinimumSize( QSize( 0, 3 ) );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    KLDotMatrixCharacterWizardBaseLayout->addMultiCellWidget( line1, 7, 7, 0, 5 );

    pbCancel = new QPushButton( this, "pbCancel" );

    KLDotMatrixCharacterWizardBaseLayout->addWidget( pbCancel, 8, 5 );

    pbOK = new QPushButton( this, "pbOK" );

    KLDotMatrixCharacterWizardBaseLayout->addWidget( pbOK, 8, 0 );
    spacer10 = new QSpacerItem( 290, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    KLDotMatrixCharacterWizardBaseLayout->addMultiCell( spacer10, 8, 8, 1, 4 );
    languageChange();
    resize( QSize(485, 318).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( rb5x8, SIGNAL( toggled(bool) ), this, SLOT( slotSizeChanged() ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( slotCancel() ) );
    connect( pbOK, SIGNAL( clicked() ), this, SLOT( slotOK() ) );
    connect( pbAdd, SIGNAL( clicked() ), this, SLOT( slotAdd() ) );
    connect( pbRemove, SIGNAL( clicked() ), this, SLOT( slotRemove() ) );
    connect( pbUp, SIGNAL( clicked() ), this, SLOT( slotUp() ) );
    connect( pbDown, SIGNAL( clicked() ), this, SLOT( slotDown() ) );
    connect( lvCharacters, SIGNAL( selectionChanged(QListViewItem*) ), this, SLOT( slotSelectedCharacterChanged(QListViewItem*) ) );

    // tab order
    setTabOrder( leVarName, leVarType );
    setTabOrder( leVarType, rb5x8 );
    setTabOrder( rb5x8, lvCharacters );
    setTabOrder( lvCharacters, pbAdd );
    setTabOrder( pbAdd, pbRemove );
    setTabOrder( pbRemove, pbUp );
    setTabOrder( pbUp, pbDown );
    setTabOrder( pbDown, pbCancel );
    setTabOrder( pbCancel, pbOK );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLDotMatrixCharacterWizardBase::~KLDotMatrixCharacterWizardBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLDotMatrixCharacterWizardBase::languageChange()
{
    setCaption( tr2i18n( "Dot matrix character wizard" ) );
    buttonGroup1->setTitle( tr2i18n( "Size" ) );
    rb5x8->setText( tr2i18n( "5x&8" ) );
    rb5x8->setAccel( QKeySequence( tr2i18n( "Alt+8" ) ) );
    rb5x10->setText( tr2i18n( "5x1&0" ) );
    rb5x10->setAccel( QKeySequence( tr2i18n( "Alt+0" ) ) );
    pbRemove->setText( tr2i18n( "Remo&ve" ) );
    pbRemove->setAccel( QKeySequence( tr2i18n( "Alt+V" ) ) );
    lvCharacters->header()->setLabel( 0, tr2i18n( "Character" ) );
    pbAdd->setText( tr2i18n( "Add" ) );
    pbUp->setText( tr2i18n( "&Up" ) );
    pbUp->setAccel( QKeySequence( tr2i18n( "Alt+U" ) ) );
    tlVarName->setText( tr2i18n( "Variable name:" ) );
    pbDown->setText( tr2i18n( "Do&wn" ) );
    pbDown->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    tlVarType->setText( tr2i18n( "Type:" ) );
    leVarName->setText( tr2i18n( "newChars" ) );
    leVarType->setText( tr2i18n( "static prog_char" ) );
    pbCancel->setText( tr2i18n( "Ca&ncel" ) );
    pbCancel->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    pbOK->setText( tr2i18n( "&OK" ) );
    pbOK->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
}

void KLDotMatrixCharacterWizardBase::slotAdd()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotAdd(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotRemove()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotRemove(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotUp()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotUp(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotDown()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotDown(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotSelectedCharacterChanged(QListViewItem*)
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotSelectedCharacterChanged(QListViewItem*): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotSizeChanged()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotSizeChanged(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotChanged()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotChanged(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotOK()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotOK(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotCharacterChanged()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotCharacterChanged(): Not implemented yet" );
}

void KLDotMatrixCharacterWizardBase::slotCancel()
{
    qWarning( "KLDotMatrixCharacterWizardBase::slotCancel(): Not implemented yet" );
}

#include "kldotmatrixcharacterwizardbase.moc"
