#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './klfilenewdialogbase.ui'
**
** Created: 2011-05-11T16:51:51
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klfilenewdialogbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qiconview.h>
#include <qframe.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KLFileNewDialogBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KLFileNewDialogBase::KLFileNewDialogBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KLFileNewDialogBase" );
    setModal( TRUE );
    KLFileNewDialogBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KLFileNewDialogBaseLayout"); 

    tlType = new QLabel( this, "tlType" );

    KLFileNewDialogBaseLayout->addMultiCellWidget( tlType, 0, 0, 0, 2 );

    layout2 = new QGridLayout( 0, 1, 1, 0, 6, "layout2"); 
    spacer1 = new QSpacerItem( 21, 201, QSizePolicy::Minimum, QSizePolicy::Expanding );
    layout2->addItem( spacer1, 2, 1 );

    layout1 = new QGridLayout( 0, 1, 1, 0, 6, "layout1"); 

    leName = new QLineEdit( this, "leName" );

    layout1->addWidget( leName, 1, 1 );

    klNewFile = new QIconView( this, "klNewFile" );

    layout1->addMultiCellWidget( klNewFile, 0, 0, 0, 1 );

    tlName = new QLabel( this, "tlName" );

    layout1->addWidget( tlName, 1, 0 );

    layout2->addMultiCellLayout( layout1, 0, 2, 0, 0 );

    pbOK = new QPushButton( this, "pbOK" );

    layout2->addWidget( pbOK, 0, 1 );

    pbCancel = new QPushButton( this, "pbCancel" );

    layout2->addWidget( pbCancel, 1, 1 );

    KLFileNewDialogBaseLayout->addMultiCellLayout( layout2, 1, 1, 0, 2 );

    pbChoose = new QPushButton( this, "pbChoose" );

    KLFileNewDialogBaseLayout->addWidget( pbChoose, 3, 2 );

    tlFolder = new QLabel( this, "tlFolder" );
    tlFolder->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, tlFolder->sizePolicy().hasHeightForWidth() ) );

    KLFileNewDialogBaseLayout->addWidget( tlFolder, 3, 0 );

    tlDirectory = new QLabel( this, "tlDirectory" );
    tlDirectory->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)3, (QSizePolicy::SizeType)5, 0, 0, tlDirectory->sizePolicy().hasHeightForWidth() ) );
    QFont tlDirectory_font(  tlDirectory->font() );
    tlDirectory_font.setBold( TRUE );
    tlDirectory->setFont( tlDirectory_font ); 

    KLFileNewDialogBaseLayout->addWidget( tlDirectory, 3, 1 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    KLFileNewDialogBaseLayout->addMultiCellWidget( line1, 2, 2, 0, 2 );
    languageChange();
    resize( QSize(507, 320).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( pbOK, SIGNAL( clicked() ), this, SLOT( slotOK() ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( slotCancel() ) );
    connect( leName, SIGNAL( textChanged(const QString&) ), this, SLOT( slotFileNameChanged(const QString&) ) );
    connect( pbChoose, SIGNAL( clicked() ), this, SLOT( slotChoose() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLFileNewDialogBase::~KLFileNewDialogBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLFileNewDialogBase::languageChange()
{
    setCaption( tr2i18n( "New file" ) );
    tlType->setText( tr2i18n( "Type:" ) );
    tlName->setText( tr2i18n( "Name:" ) );
    pbOK->setText( tr2i18n( "&OK" ) );
    pbOK->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    pbCancel->setText( tr2i18n( "&Cancel" ) );
    pbCancel->setAccel( QKeySequence( tr2i18n( "Alt+C" ) ) );
    pbChoose->setText( tr2i18n( "Choose" ) );
    pbChoose->setAccel( QKeySequence( QString::null ) );
    tlFolder->setText( tr2i18n( "Directory:" ) );
    tlDirectory->setText( tr2i18n( "project root" ) );
}

void KLFileNewDialogBase::slotOK()
{
    qWarning( "KLFileNewDialogBase::slotOK(): Not implemented yet" );
}

void KLFileNewDialogBase::slotCancel()
{
    qWarning( "KLFileNewDialogBase::slotCancel(): Not implemented yet" );
}

void KLFileNewDialogBase::slotFileNameChanged(const QString&)
{
    qWarning( "KLFileNewDialogBase::slotFileNameChanged(const QString&): Not implemented yet" );
}

void KLFileNewDialogBase::slotChoose()
{
    qWarning( "KLFileNewDialogBase::slotChoose(): Not implemented yet" );
}

#include "klfilenewdialogbase.moc"
