#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './klprojectconfigwidgetbase.ui'
**
** Created: 2011-05-11T16:51:58
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klprojectconfigwidgetbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qtabwidget.h>
#include <qwidget.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qgroupbox.h>
#include <knuminput.h>
#include <qcombobox.h>
#include <qframe.h>
#include <qcheckbox.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qheader.h>
#include <qlistview.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "knuminput.h"

/*
 *  Constructs a KLProjectConfigWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
KLProjectConfigWidgetBase::KLProjectConfigWidgetBase( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "KLProjectConfigWidgetBase" );
    KLProjectConfigWidgetBaseLayout = new QGridLayout( this, 1, 1, 11, 6, "KLProjectConfigWidgetBaseLayout"); 

    layout14 = new QHBoxLayout( 0, 0, 6, "layout14"); 

    pbOK = new QPushButton( this, "pbOK" );
    pbOK->setMinimumSize( QSize( 80, 0 ) );
    layout14->addWidget( pbOK );

    pbSetDefault = new QPushButton( this, "pbSetDefault" );
    layout14->addWidget( pbSetDefault );
    spacer1 = new QSpacerItem( 330, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout14->addItem( spacer1 );

    pbCancel = new QPushButton( this, "pbCancel" );
    layout14->addWidget( pbCancel );

    KLProjectConfigWidgetBaseLayout->addLayout( layout14, 1, 0 );

    tabWidget2 = new QTabWidget( this, "tabWidget2" );

    tab = new QWidget( tabWidget2, "tab" );
    tabLayout = new QGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    layProjectManager = new QVBoxLayout( 0, 0, 6, "layProjectManager"); 

    lblFiles = new QLabel( tab, "lblFiles" );
    layProjectManager->addWidget( lblFiles );

    tabLayout->addMultiCellLayout( layProjectManager, 0, 1, 0, 0 );

    layout23 = new QHBoxLayout( 0, 0, 6, "layout23"); 

    layout22 = new QHBoxLayout( 0, 0, 6, "layout22"); 

    lblHEXFile = new QLabel( tab, "lblHEXFile" );
    layout22->addWidget( lblHEXFile );

    leHEXFile = new QLineEdit( tab, "leHEXFile" );
    layout22->addWidget( leHEXFile );
    layout23->addLayout( layout22 );

    layout21 = new QHBoxLayout( 0, 0, 6, "layout21"); 

    lblMAPFile = new QLabel( tab, "lblMAPFile" );
    layout21->addWidget( lblMAPFile );

    leMAPFile = new QLineEdit( tab, "leMAPFile" );
    layout21->addWidget( leMAPFile );
    layout23->addLayout( layout21 );

    tabLayout->addMultiCellLayout( layout23, 2, 2, 0, 1 );

    gbCPU = new QGroupBox( tab, "gbCPU" );
    gbCPU->setColumnLayout(0, Qt::Vertical );
    gbCPU->layout()->setSpacing( 6 );
    gbCPU->layout()->setMargin( 11 );
    gbCPULayout = new QGridLayout( gbCPU->layout() );
    gbCPULayout->setAlignment( Qt::AlignTop );

    lblClock = new QLabel( gbCPU, "lblClock" );

    gbCPULayout->addWidget( lblClock, 1, 0 );

    lblCPU = new QLabel( gbCPU, "lblCPU" );

    gbCPULayout->addWidget( lblCPU, 0, 0 );

    lblHz = new QLabel( gbCPU, "lblHz" );

    gbCPULayout->addWidget( lblHz, 1, 3 );

    kdsClock = new KDoubleSpinBox( gbCPU, "kdsClock" );
    kdsClock->setMaxValue( 1e+08 );
    kdsClock->setLineStep( 100000 );
    kdsClock->setValue( 4e+06 );

    gbCPULayout->addMultiCellWidget( kdsClock, 1, 1, 1, 2 );

    cbCPU = new QComboBox( FALSE, gbCPU, "cbCPU" );

    gbCPULayout->addMultiCellWidget( cbCPU, 0, 0, 1, 3 );

    line1 = new QFrame( gbCPU, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    gbCPULayout->addMultiCellWidget( line1, 2, 2, 0, 3 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 
    spacer4 = new QSpacerItem( 21, 20, QSizePolicy::Fixed, QSizePolicy::Minimum );
    layout6->addItem( spacer4 );

    lblSize = new QLabel( gbCPU, "lblSize" );
    lblSize->setEnabled( FALSE );
    layout6->addWidget( lblSize );

    sbSize = new KIntSpinBox( gbCPU, "sbSize" );
    sbSize->setEnabled( FALSE );
    sbSize->setMinimumSize( QSize( 80, 0 ) );
    sbSize->setMaxValue( 65536 );
    sbSize->setLineStep( 1024 );
    layout6->addWidget( sbSize );

    gbCPULayout->addMultiCellLayout( layout6, 9, 9, 0, 3 );

    cbExternalRAM = new QCheckBox( gbCPU, "cbExternalRAM" );

    gbCPULayout->addMultiCellWidget( cbExternalRAM, 8, 8, 0, 3 );

    line2 = new QFrame( gbCPU, "line2" );
    line2->setFrameShape( QFrame::HLine );
    line2->setFrameShadow( QFrame::Sunken );
    line2->setFrameShape( QFrame::HLine );

    gbCPULayout->addMultiCellWidget( line2, 7, 7, 0, 3 );

    lblClockRate = new QLabel( gbCPU, "lblClockRate" );

    gbCPULayout->addMultiCellWidget( lblClockRate, 5, 5, 0, 1 );

    lblClockMHz = new QLabel( gbCPU, "lblClockMHz" );
    lblClockMHz->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    gbCPULayout->addMultiCellWidget( lblClockMHz, 5, 5, 2, 3 );

    lblEEPROM = new QLabel( gbCPU, "lblEEPROM" );

    gbCPULayout->addMultiCellWidget( lblEEPROM, 6, 6, 0, 1 );

    lblEEPROMBytes = new QLabel( gbCPU, "lblEEPROMBytes" );
    lblEEPROMBytes->setAlignment( int( QLabel::AlignVCenter | QLabel::AlignRight ) );

    gbCPULayout->addMultiCellWidget( lblEEPROMBytes, 6, 6, 2, 3 );

    lblInternalRAMLabel = new QLabel( gbCPU, "lblInternalRAMLabel" );

    gbCPULayout->addMultiCellWidget( lblInternalRAMLabel, 4, 4, 0, 1 );

    lblInternalRAMBytes = new QLabel( gbCPU, "lblInternalRAMBytes" );
    lblInternalRAMBytes->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignRight ) );

    gbCPULayout->addMultiCellWidget( lblInternalRAMBytes, 4, 4, 2, 3 );

    lblFLASHEEPROM = new QLabel( gbCPU, "lblFLASHEEPROM" );

    gbCPULayout->addMultiCellWidget( lblFLASHEEPROM, 3, 3, 0, 1 );

    lblFLASHEEPROMBytes = new QLabel( gbCPU, "lblFLASHEEPROMBytes" );
    lblFLASHEEPROMBytes->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter | QLabel::AlignRight ) );

    gbCPULayout->addMultiCellWidget( lblFLASHEEPROMBytes, 3, 3, 2, 3 );

    tabLayout->addWidget( gbCPU, 0, 1 );

    bgBuildSystem = new QButtonGroup( tab, "bgBuildSystem" );
    bgBuildSystem->setColumnLayout(0, Qt::Vertical );
    bgBuildSystem->layout()->setSpacing( 6 );
    bgBuildSystem->layout()->setMargin( 11 );
    bgBuildSystemLayout = new QGridLayout( bgBuildSystem->layout() );
    bgBuildSystemLayout->setAlignment( Qt::AlignTop );

    rbBuiltIn = new QRadioButton( bgBuildSystem, "rbBuiltIn" );
    rbBuiltIn->setChecked( TRUE );

    bgBuildSystemLayout->addWidget( rbBuiltIn, 0, 0 );

    rbExecuteMake = new QRadioButton( bgBuildSystem, "rbExecuteMake" );

    bgBuildSystemLayout->addWidget( rbExecuteMake, 1, 0 );

    tabLayout->addWidget( bgBuildSystem, 1, 1 );
    tabWidget2->insertTab( tab, QString::fromLatin1("") );

    tab_2 = new QWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new QVBoxLayout( tab_2, 11, 6, "tabLayout_2"); 

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    lblCompilerCommand = new QLabel( tab_2, "lblCompilerCommand" );
    layout3->addWidget( lblCompilerCommand );

    leCompilerCommand = new QLineEdit( tab_2, "leCompilerCommand" );
    layout3->addWidget( leCompilerCommand );
    tabLayout_2->addLayout( layout3 );

    cbCallPrologues = new QCheckBox( tab_2, "cbCallPrologues" );
    tabLayout_2->addWidget( cbCallPrologues );

    cbStrictPrototypes = new QCheckBox( tab_2, "cbStrictPrototypes" );
    tabLayout_2->addWidget( cbStrictPrototypes );

    cbAll = new QCheckBox( tab_2, "cbAll" );
    tabLayout_2->addWidget( cbAll );

    cbGDebug = new QCheckBox( tab_2, "cbGDebug" );
    tabLayout_2->addWidget( cbGDebug );

    cbFCPU = new QCheckBox( tab_2, "cbFCPU" );
    tabLayout_2->addWidget( cbFCPU );

    layout6_2 = new QHBoxLayout( 0, 0, 6, "layout6_2"); 

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    lblOptimizationLevel = new QLabel( tab_2, "lblOptimizationLevel" );
    layout5->addWidget( lblOptimizationLevel );

    cbOptimizationLevel = new QComboBox( FALSE, tab_2, "cbOptimizationLevel" );
    layout5->addWidget( cbOptimizationLevel );
    layout6_2->addLayout( layout5 );
    spacer3 = new QSpacerItem( 281, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6_2->addItem( spacer3 );
    tabLayout_2->addLayout( layout6_2 );
    spacer2 = new QSpacerItem( 20, 120, QSizePolicy::Minimum, QSizePolicy::Expanding );
    tabLayout_2->addItem( spacer2 );
    tabWidget2->insertTab( tab_2, QString::fromLatin1("") );

    TabPage = new QWidget( tabWidget2, "TabPage" );
    TabPageLayout = new QGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    leObjectCopyCommand = new QLineEdit( TabPage, "leObjectCopyCommand" );

    TabPageLayout->addWidget( leObjectCopyCommand, 1, 2 );

    lblLinkerCommand = new QLabel( TabPage, "lblLinkerCommand" );

    TabPageLayout->addMultiCellWidget( lblLinkerCommand, 0, 0, 0, 1 );

    leLinkerCommand = new QLineEdit( TabPage, "leLinkerCommand" );

    TabPageLayout->addWidget( leLinkerCommand, 0, 2 );

    lblObjectCopyCommand = new QLabel( TabPage, "lblObjectCopyCommand" );

    TabPageLayout->addMultiCellWidget( lblObjectCopyCommand, 1, 1, 0, 1 );

    layout19 = new QHBoxLayout( 0, 0, 6, "layout19"); 

    layout18 = new QGridLayout( 0, 1, 1, 0, 6, "layout18"); 

    cbStartOfBSS = new QCheckBox( TabPage, "cbStartOfBSS" );

    layout18->addWidget( cbStartOfBSS, 2, 0 );

    kisbStartOfBSS = new KIntSpinBox( TabPage, "kisbStartOfBSS" );
    kisbStartOfBSS->setEnabled( FALSE );
    kisbStartOfBSS->setMaxValue( 65535 );
    kisbStartOfBSS->setBase( 16 );

    layout18->addWidget( kisbStartOfBSS, 2, 1 );

    kisbEndOfHeap = new KIntSpinBox( TabPage, "kisbEndOfHeap" );
    kisbEndOfHeap->setEnabled( FALSE );
    kisbEndOfHeap->setMaxValue( 65535 );
    kisbEndOfHeap->setBase( 16 );

    layout18->addWidget( kisbEndOfHeap, 4, 1 );

    kisbStartOfHeap = new KIntSpinBox( TabPage, "kisbStartOfHeap" );
    kisbStartOfHeap->setEnabled( FALSE );
    kisbStartOfHeap->setMaxValue( 65535 );
    kisbStartOfHeap->setBase( 16 );

    layout18->addWidget( kisbStartOfHeap, 3, 1 );

    cbStartOfData = new QCheckBox( TabPage, "cbStartOfData" );

    layout18->addWidget( cbStartOfData, 1, 0 );

    cbStartOfText = new QCheckBox( TabPage, "cbStartOfText" );

    layout18->addWidget( cbStartOfText, 0, 0 );

    kisbStartOfText = new KIntSpinBox( TabPage, "kisbStartOfText" );
    kisbStartOfText->setEnabled( FALSE );
    kisbStartOfText->setMaxValue( 65535 );
    kisbStartOfText->setBase( 16 );

    layout18->addWidget( kisbStartOfText, 0, 1 );

    kisbStartOfData = new KIntSpinBox( TabPage, "kisbStartOfData" );
    kisbStartOfData->setEnabled( FALSE );
    kisbStartOfData->setMaxValue( 65535 );
    kisbStartOfData->setBase( 16 );

    layout18->addWidget( kisbStartOfData, 1, 1 );

    cbEndOfHeap = new QCheckBox( TabPage, "cbEndOfHeap" );

    layout18->addWidget( cbEndOfHeap, 4, 0 );

    cbStartOfHeap = new QCheckBox( TabPage, "cbStartOfHeap" );

    layout18->addWidget( cbStartOfHeap, 3, 0 );
    layout19->addLayout( layout18 );

    lblRAMInfo = new QLabel( TabPage, "lblRAMInfo" );
    lblRAMInfo->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)5, (QSizePolicy::SizeType)5, 0, 0, lblRAMInfo->sizePolicy().hasHeightForWidth() ) );
    lblRAMInfo->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    layout19->addWidget( lblRAMInfo );

    TabPageLayout->addMultiCellLayout( layout19, 2, 2, 0, 2 );

    lblLinkerFlags = new QLabel( TabPage, "lblLinkerFlags" );

    TabPageLayout->addWidget( lblLinkerFlags, 3, 0 );
    spacer13 = new QSpacerItem( 20, 160, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TabPageLayout->addItem( spacer13, 4, 0 );

    lvLinkerFlags = new QListView( TabPage, "lvLinkerFlags" );
    lvLinkerFlags->addColumn( tr2i18n( "Purpose" ) );
    lvLinkerFlags->addColumn( tr2i18n( "Flag" ) );

    TabPageLayout->addMultiCellWidget( lvLinkerFlags, 3, 4, 1, 2 );
    tabWidget2->insertTab( TabPage, QString::fromLatin1("") );

    TabPage_2 = new QWidget( tabWidget2, "TabPage_2" );
    TabPageLayout_2 = new QGridLayout( TabPage_2, 1, 1, 11, 6, "TabPageLayout_2"); 

    layout7 = new QHBoxLayout( 0, 0, 6, "layout7"); 

    lblAssemblerCommand = new QLabel( TabPage_2, "lblAssemblerCommand" );
    layout7->addWidget( lblAssemblerCommand );

    leAssemblerCommand = new QLineEdit( TabPage_2, "leAssemblerCommand" );
    layout7->addWidget( leAssemblerCommand );

    TabPageLayout_2->addLayout( layout7, 0, 0 );
    spacer14 = new QSpacerItem( 20, 191, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TabPageLayout_2->addItem( spacer14, 1, 0 );
    tabWidget2->insertTab( TabPage_2, QString::fromLatin1("") );

    TabPage_3 = new QWidget( tabWidget2, "TabPage_3" );
    TabPageLayout_3 = new QGridLayout( TabPage_3, 1, 1, 11, 6, "TabPageLayout_3"); 

    layout14_2 = new QGridLayout( 0, 1, 1, 0, 6, "layout14_2"); 

    leDefaultTarget = new QLineEdit( TabPage_3, "leDefaultTarget" );

    layout14_2->addWidget( leDefaultTarget, 1, 2 );

    line3 = new QFrame( TabPage_3, "line3" );
    line3->setFrameShape( QFrame::VLine );
    line3->setFrameShadow( QFrame::Sunken );
    line3->setFrameShape( QFrame::VLine );

    layout14_2->addMultiCellWidget( line3, 1, 2, 0, 0 );

    tlDefaultTarget = new QLabel( TabPage_3, "tlDefaultTarget" );

    layout14_2->addWidget( tlDefaultTarget, 1, 1 );

    leCleanTarget = new QLineEdit( TabPage_3, "leCleanTarget" );

    layout14_2->addWidget( leCleanTarget, 2, 2 );

    leMake = new QLineEdit( TabPage_3, "leMake" );

    layout14_2->addWidget( leMake, 0, 2 );

    tlMake = new QLabel( TabPage_3, "tlMake" );

    layout14_2->addMultiCellWidget( tlMake, 0, 0, 0, 1 );

    tlCleanTarget = new QLabel( TabPage_3, "tlCleanTarget" );

    layout14_2->addWidget( tlCleanTarget, 2, 1 );

    TabPageLayout_3->addLayout( layout14_2, 0, 0 );
    spacer7 = new QSpacerItem( 161, 21, QSizePolicy::Expanding, QSizePolicy::Minimum );
    TabPageLayout_3->addItem( spacer7, 0, 1 );
    spacer8 = new QSpacerItem( 560, 260, QSizePolicy::Minimum, QSizePolicy::Expanding );
    TabPageLayout_3->addMultiCell( spacer8, 2, 2, 0, 1 );

    tlWarning = new QLabel( TabPage_3, "tlWarning" );

    TabPageLayout_3->addMultiCellWidget( tlWarning, 1, 1, 0, 1 );
    tabWidget2->insertTab( TabPage_3, QString::fromLatin1("") );

    KLProjectConfigWidgetBaseLayout->addWidget( tabWidget2, 0, 0 );
    languageChange();
    resize( QSize(608, 484).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( cbExternalRAM, SIGNAL( toggled(bool) ), lblSize, SLOT( setEnabled(bool) ) );
    connect( cbExternalRAM, SIGNAL( toggled(bool) ), sbSize, SLOT( setEnabled(bool) ) );
    connect( cbCPU, SIGNAL( activated(const QString&) ), this, SLOT( slotCPUChanged(const QString&) ) );
    connect( pbOK, SIGNAL( clicked() ), this, SLOT( slotOK() ) );
    connect( pbCancel, SIGNAL( clicked() ), this, SLOT( slotCancel() ) );
    connect( pbSetDefault, SIGNAL( clicked() ), this, SLOT( slotSetDefault() ) );
    connect( cbStartOfText, SIGNAL( toggled(bool) ), kisbStartOfText, SLOT( setEnabled(bool) ) );
    connect( cbStartOfData, SIGNAL( toggled(bool) ), kisbStartOfData, SLOT( setEnabled(bool) ) );
    connect( cbStartOfBSS, SIGNAL( toggled(bool) ), kisbStartOfBSS, SLOT( setEnabled(bool) ) );
    connect( cbStartOfHeap, SIGNAL( toggled(bool) ), kisbStartOfHeap, SLOT( setEnabled(bool) ) );
    connect( cbEndOfHeap, SIGNAL( toggled(bool) ), kisbEndOfHeap, SLOT( setEnabled(bool) ) );
    connect( rbBuiltIn, SIGNAL( toggled(bool) ), this, SLOT( slotBuildSystemChanged() ) );
    connect( rbExecuteMake, SIGNAL( toggled(bool) ), this, SLOT( slotBuildSystemChanged() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLProjectConfigWidgetBase::~KLProjectConfigWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLProjectConfigWidgetBase::languageChange()
{
    setCaption( tr2i18n( "Project configuration" ) );
    pbOK->setText( tr2i18n( "&OK" ) );
    pbOK->setAccel( QKeySequence( tr2i18n( "Alt+O" ) ) );
    pbSetDefault->setText( tr2i18n( "Se&t as default" ) );
    pbSetDefault->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    pbCancel->setText( tr2i18n( "C&ancel" ) );
    pbCancel->setAccel( QKeySequence( tr2i18n( "Alt+A" ) ) );
    lblFiles->setText( tr2i18n( "Files:" ) );
    lblHEXFile->setText( tr2i18n( "HEX file name:" ) );
    leHEXFile->setText( tr2i18n( "project.hex" ) );
    lblMAPFile->setText( tr2i18n( "MAP file name:" ) );
    leMAPFile->setText( tr2i18n( "project.map" ) );
    gbCPU->setTitle( tr2i18n( "CPU settings" ) );
    lblClock->setText( tr2i18n( "Clock:" ) );
    lblCPU->setText( tr2i18n( "CPU:" ) );
    lblHz->setText( tr2i18n( "Hz" ) );
    cbCPU->clear();
    cbCPU->insertItem( tr2i18n( "AT90S2313" ) );
    cbCPU->insertItem( tr2i18n( "AT90S2323" ) );
    cbCPU->insertItem( tr2i18n( "AT90S2333" ) );
    cbCPU->insertItem( tr2i18n( "AT90S2343" ) );
    cbCPU->insertItem( tr2i18n( "AT90S4333" ) );
    cbCPU->insertItem( tr2i18n( "AT90S4344" ) );
    cbCPU->insertItem( tr2i18n( "AT90S8515" ) );
    cbCPU->insertItem( tr2i18n( "AT90S8535" ) );
    lblSize->setText( tr2i18n( "Size in bytes:" ) );
    cbExternalRAM->setText( tr2i18n( "Ex&ternal SRAM" ) );
    cbExternalRAM->setAccel( QKeySequence( tr2i18n( "Alt+T" ) ) );
    lblClockRate->setText( tr2i18n( "Max. Clock:" ) );
    lblClockMHz->setText( tr2i18n( "8 MHz" ) );
    lblEEPROM->setText( tr2i18n( "EEPROM:" ) );
    lblEEPROMBytes->setText( tr2i18n( "128 Bytes" ) );
    lblInternalRAMLabel->setText( tr2i18n( "Internal RAM:" ) );
    lblInternalRAMBytes->setText( tr2i18n( "512 Bytes" ) );
    lblFLASHEEPROM->setText( tr2i18n( "FLASH EEPROM:" ) );
    lblFLASHEEPROMBytes->setText( tr2i18n( "512 Bytes" ) );
    bgBuildSystem->setTitle( tr2i18n( "Build system" ) );
    rbBuiltIn->setText( tr2i18n( "Use built-in build s&ystem" ) );
    rbBuiltIn->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    rbExecuteMake->setText( tr2i18n( "Execute \"make\" in the project directory" ) );
    tabWidget2->changeTab( tab, tr2i18n( "&Common" ) );
    lblCompilerCommand->setText( tr2i18n( "Command:" ) );
    leCompilerCommand->setText( tr2i18n( "avr-gcc" ) );
    cbCallPrologues->setText( tr2i18n( "-mcall-prologues: E&xpanded function prologues (smaller code)" ) );
    cbCallPrologues->setAccel( QKeySequence( tr2i18n( "Alt+X" ) ) );
    cbStrictPrototypes->setText( tr2i18n( "-Wstrict-protot&ypes: See \"man avr-gcc\" for details." ) );
    cbStrictPrototypes->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    cbAll->setText( tr2i18n( "-&Wall: Turn on all optional warnings" ) );
    cbAll->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    cbGDebug->setText( tr2i18n( "-g: Produce debugging information" ) );
    cbFCPU->setText( tr2i18n( "Define F_CPU symbol (fre&quency of the cpu, see Common tab)" ) );
    cbFCPU->setAccel( QKeySequence( tr2i18n( "Alt+Q" ) ) );
    lblOptimizationLevel->setText( tr2i18n( "Optimization level:" ) );
    cbOptimizationLevel->clear();
    cbOptimizationLevel->insertItem( tr2i18n( "0: No optimization" ) );
    cbOptimizationLevel->insertItem( tr2i18n( "1: Optimization level 1" ) );
    cbOptimizationLevel->insertItem( tr2i18n( "2: Optimization level 2" ) );
    cbOptimizationLevel->insertItem( tr2i18n( "3: Optimization level 3" ) );
    cbOptimizationLevel->insertItem( tr2i18n( "s: Optimize for size" ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "Co&mpiler" ) );
    leObjectCopyCommand->setText( tr2i18n( "avr-objcopy" ) );
    lblLinkerCommand->setText( tr2i18n( "Linker command:" ) );
    leLinkerCommand->setText( tr2i18n( "avr-gcc" ) );
    lblObjectCopyCommand->setText( tr2i18n( "Object copy command:" ) );
    cbStartOfBSS->setText( tr2i18n( "Specify start of bss section:" ) );
    cbStartOfBSS->setAccel( QKeySequence( QString::null ) );
    kisbStartOfBSS->setPrefix( tr2i18n( "0x" ) );
    kisbEndOfHeap->setPrefix( tr2i18n( "0x" ) );
    kisbStartOfHeap->setPrefix( tr2i18n( "0x" ) );
    cbStartOfData->setText( tr2i18n( "Specify start of data section:" ) );
    cbStartOfData->setAccel( QKeySequence( QString::null ) );
    cbStartOfText->setText( tr2i18n( "Specif&y start of text section:" ) );
    cbStartOfText->setAccel( QKeySequence( tr2i18n( "Alt+Y" ) ) );
    kisbStartOfText->setPrefix( tr2i18n( "0x" ) );
    kisbStartOfData->setPrefix( tr2i18n( "0x" ) );
    cbEndOfHeap->setText( tr2i18n( "Specify end of heap:" ) );
    cbEndOfHeap->setAccel( QKeySequence( QString::null ) );
    cbStartOfHeap->setText( tr2i18n( "Specify start of heap:" ) );
    cbStartOfHeap->setAccel( QKeySequence( QString::null ) );
    lblRAMInfo->setText( tr2i18n( "Internal RAM starts at <b>0x100</b><br>External RAM starts at <b>0x1100</b>" ) );
    lblLinkerFlags->setText( tr2i18n( "Linker flags:" ) );
    lvLinkerFlags->header()->setLabel( 0, tr2i18n( "Purpose" ) );
    lvLinkerFlags->header()->setLabel( 1, tr2i18n( "Flag" ) );
    tabWidget2->changeTab( TabPage, tr2i18n( "&Linker" ) );
    lblAssemblerCommand->setText( tr2i18n( "Command:" ) );
    leAssemblerCommand->setText( tr2i18n( "avr-gcc" ) );
    tabWidget2->changeTab( TabPage_2, tr2i18n( "A&ssembler" ) );
    leDefaultTarget->setText( tr2i18n( "all" ) );
    tlDefaultTarget->setText( tr2i18n( "Default target:" ) );
    leCleanTarget->setText( tr2i18n( "clean" ) );
    leMake->setText( tr2i18n( "make" ) );
    tlMake->setText( tr2i18n( "Make command:" ) );
    tlCleanTarget->setText( tr2i18n( "Clean target:" ) );
    tlWarning->setText( tr2i18n( "<b>Attention: These settings will only take effect if \"make\" is selected on the \"common\" tab.</b>" ) );
    tabWidget2->changeTab( TabPage_3, tr2i18n( "M&ake" ) );
}

void KLProjectConfigWidgetBase::slotCPUChanged(const QString&)
{
    qWarning( "KLProjectConfigWidgetBase::slotCPUChanged(const QString&): Not implemented yet" );
}

void KLProjectConfigWidgetBase::slotOK()
{
    qWarning( "KLProjectConfigWidgetBase::slotOK(): Not implemented yet" );
}

void KLProjectConfigWidgetBase::slotSetDefault()
{
    qWarning( "KLProjectConfigWidgetBase::slotSetDefault(): Not implemented yet" );
}

void KLProjectConfigWidgetBase::slotCancel()
{
    qWarning( "KLProjectConfigWidgetBase::slotCancel(): Not implemented yet" );
}

void KLProjectConfigWidgetBase::slotBuildSystemChanged()
{
    qWarning( "KLProjectConfigWidgetBase::slotBuildSystemChanged(): Not implemented yet" );
}

#include "klprojectconfigwidgetbase.moc"
