#include <kdialog.h>
#include <klocale.h>
/****************************************************************************
** Form implementation generated from reading ui file './klserialterminalwidgetbase.ui'
**
** Created: 2011-05-11T16:52:01
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "klserialterminalwidgetbase.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcombobox.h>
#include <qtoolbutton.h>
#include <qframe.h>
#include <qbuttongroup.h>
#include <qradiobutton.h>
#include <qcheckbox.h>
#include <qtextedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>

/*
 *  Constructs a KLSerialTerminalWidgetBase as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 */
KLSerialTerminalWidgetBase::KLSerialTerminalWidgetBase( QWidget* parent, const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
    if ( !name )
	setName( "KLSerialTerminalWidgetBase" );
    KLSerialTerminalWidgetBaseLayout = new QGridLayout( this, 1, 1, 4, 6, "KLSerialTerminalWidgetBaseLayout"); 

    tlDevice = new QLabel( this, "tlDevice" );
    tlDevice->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, tlDevice->sizePolicy().hasHeightForWidth() ) );

    KLSerialTerminalWidgetBaseLayout->addWidget( tlDevice, 0, 0 );

    tlBaud = new QLabel( this, "tlBaud" );
    tlBaud->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, tlBaud->sizePolicy().hasHeightForWidth() ) );

    KLSerialTerminalWidgetBaseLayout->addWidget( tlBaud, 0, 3 );

    cbDevice = new QComboBox( FALSE, this, "cbDevice" );
    cbDevice->setEditable( TRUE );

    KLSerialTerminalWidgetBaseLayout->addMultiCellWidget( cbDevice, 0, 0, 1, 2 );

    cbBaud = new QComboBox( FALSE, this, "cbBaud" );

    KLSerialTerminalWidgetBaseLayout->addWidget( cbBaud, 0, 4 );

    tbOpenClose = new QToolButton( this, "tbOpenClose" );

    KLSerialTerminalWidgetBaseLayout->addWidget( tbOpenClose, 0, 5 );

    line1_2 = new QFrame( this, "line1_2" );
    line1_2->setFrameShape( QFrame::HLine );
    line1_2->setFrameShadow( QFrame::Sunken );
    line1_2->setFrameShape( QFrame::HLine );

    KLSerialTerminalWidgetBaseLayout->addMultiCellWidget( line1_2, 6, 6, 0, 5 );

    line1 = new QFrame( this, "line1" );
    line1->setFrameShape( QFrame::HLine );
    line1->setFrameShadow( QFrame::Sunken );
    line1->setFrameShape( QFrame::HLine );

    KLSerialTerminalWidgetBaseLayout->addMultiCellWidget( line1, 3, 3, 0, 5 );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    tlSendData = new QLabel( this, "tlSendData" );
    tlSendData->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    layout5->addWidget( tlSendData );

    pbSend = new QPushButton( this, "pbSend" );
    pbSend->setEnabled( FALSE );
    pbSend->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)0, 0, 0, pbSend->sizePolicy().hasHeightForWidth() ) );
    layout5->addWidget( pbSend );

    KLSerialTerminalWidgetBaseLayout->addMultiCellLayout( layout5, 4, 4, 0, 5 );

    layout3 = new QHBoxLayout( 0, 0, 6, "layout3"); 

    tlReceiveData = new QLabel( this, "tlReceiveData" );
    tlReceiveData->setAlignment( int( QLabel::WordBreak | QLabel::AlignVCenter ) );
    layout3->addWidget( tlReceiveData );

    tbClear = new QToolButton( this, "tbClear" );
    tbClear->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)4, (QSizePolicy::SizeType)4, 0, 0, tbClear->sizePolicy().hasHeightForWidth() ) );
    layout3->addWidget( tbClear );

    KLSerialTerminalWidgetBaseLayout->addMultiCellLayout( layout3, 7, 7, 0, 1 );

    bgFlowControl = new QButtonGroup( this, "bgFlowControl" );
    bgFlowControl->setColumnLayout(0, Qt::Vertical );
    bgFlowControl->layout()->setSpacing( 0 );
    bgFlowControl->layout()->setMargin( 4 );
    bgFlowControlLayout = new QHBoxLayout( bgFlowControl->layout() );
    bgFlowControlLayout->setAlignment( Qt::AlignTop );

    rbRTSCTS = new QRadioButton( bgFlowControl, "rbRTSCTS" );
    rbRTSCTS->setChecked( TRUE );
    bgFlowControlLayout->addWidget( rbRTSCTS );

    rbXONXOFF = new QRadioButton( bgFlowControl, "rbXONXOFF" );
    bgFlowControlLayout->addWidget( rbXONXOFF );

    rbNone = new QRadioButton( bgFlowControl, "rbNone" );
    bgFlowControlLayout->addWidget( rbNone );

    KLSerialTerminalWidgetBaseLayout->addMultiCellWidget( bgFlowControl, 1, 1, 0, 5 );

    cbDisconnectWhileProgrammerActive = new QCheckBox( this, "cbDisconnectWhileProgrammerActive" );
    cbDisconnectWhileProgrammerActive->setChecked( TRUE );

    KLSerialTerminalWidgetBaseLayout->addMultiCellWidget( cbDisconnectWhileProgrammerActive, 2, 2, 0, 5 );

    teSendData = new QTextEdit( this, "teSendData" );
    teSendData->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)1, 0, 0, teSendData->sizePolicy().hasHeightForWidth() ) );
    QFont teSendData_font(  teSendData->font() );
    teSendData_font.setFamily( "Courier" );
    teSendData->setFont( teSendData_font ); 

    KLSerialTerminalWidgetBaseLayout->addMultiCellWidget( teSendData, 5, 5, 0, 5 );

    bgShowAs = new QButtonGroup( this, "bgShowAs" );
    bgShowAs->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)0, (QSizePolicy::SizeType)5, 0, 0, bgShowAs->sizePolicy().hasHeightForWidth() ) );
    bgShowAs->setColumnLayout(0, Qt::Vertical );
    bgShowAs->layout()->setSpacing( 6 );
    bgShowAs->layout()->setMargin( 11 );
    bgShowAsLayout = new QGridLayout( bgShowAs->layout() );
    bgShowAsLayout->setAlignment( Qt::AlignTop );

    cbShowAs = new QComboBox( FALSE, bgShowAs, "cbShowAs" );

    bgShowAsLayout->addWidget( cbShowAs, 0, 0 );

    KLSerialTerminalWidgetBaseLayout->addMultiCellWidget( bgShowAs, 8, 8, 0, 1 );

    layout5_2 = new QVBoxLayout( 0, 0, 6, "layout5_2"); 

    teReceiveData = new QTextEdit( this, "teReceiveData" );
    teReceiveData->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)1, 0, 0, teReceiveData->sizePolicy().hasHeightForWidth() ) );
    QFont teReceiveData_font(  teReceiveData->font() );
    teReceiveData_font.setFamily( "Courier" );
    teReceiveData->setFont( teReceiveData_font ); 
    teReceiveData->setReadOnly( TRUE );
    teReceiveData->setUndoRedoEnabled( FALSE );
    layout5_2->addWidget( teReceiveData );

    frmScopeHisto = new QFrame( this, "frmScopeHisto" );
    frmScopeHisto->setFrameShape( QFrame::StyledPanel );
    frmScopeHisto->setFrameShadow( QFrame::Raised );
    layout5_2->addWidget( frmScopeHisto );

    KLSerialTerminalWidgetBaseLayout->addMultiCellLayout( layout5_2, 7, 8, 2, 5 );
    languageChange();
    resize( QSize(372, 467).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( tbOpenClose, SIGNAL( clicked() ), this, SLOT( slotOpenClose() ) );
    connect( pbSend, SIGNAL( clicked() ), this, SLOT( slotSend() ) );
    connect( tbClear, SIGNAL( clicked() ), this, SLOT( slotClearReceiver() ) );
    connect( cbShowAs, SIGNAL( activated(int) ), this, SLOT( slotShowAsChanged(int) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
KLSerialTerminalWidgetBase::~KLSerialTerminalWidgetBase()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void KLSerialTerminalWidgetBase::languageChange()
{
    setCaption( tr2i18n( "Serial terminal" ) );
    tlDevice->setText( tr2i18n( "Device:" ) );
    tlBaud->setText( tr2i18n( "Baud rate:" ) );
    tbOpenClose->setText( QString::null );
    QToolTip::add( tbOpenClose, tr2i18n( "Open/close the port" ) );
    tlSendData->setText( tr2i18n( "Data to send (#xy where xy is in HEX, sends the value xy):" ) );
    pbSend->setText( tr2i18n( "Se&nd" ) );
    pbSend->setAccel( QKeySequence( tr2i18n( "Alt+N" ) ) );
    tlReceiveData->setText( tr2i18n( "Data received:" ) );
    tbClear->setText( QString::null );
    QToolTip::add( tbClear, tr2i18n( "Clear the receiver buffer" ) );
    bgFlowControl->setTitle( tr2i18n( "Flow control" ) );
    rbRTSCTS->setText( tr2i18n( "&RTS/CTS" ) );
    rbRTSCTS->setAccel( QKeySequence( tr2i18n( "Alt+R" ) ) );
    rbXONXOFF->setText( tr2i18n( "XON/XOFF" ) );
    rbXONXOFF->setAccel( QKeySequence( QString::null ) );
    rbNone->setText( tr2i18n( "None" ) );
    cbDisconnectWhileProgrammerActive->setText( tr2i18n( "Disconnect &while programmer is active" ) );
    cbDisconnectWhileProgrammerActive->setAccel( QKeySequence( tr2i18n( "Alt+W" ) ) );
    bgShowAs->setTitle( tr2i18n( "Show as" ) );
    cbShowAs->clear();
    cbShowAs->insertItem( tr2i18n( "ASCII" ) );
    cbShowAs->insertItem( tr2i18n( "HEX" ) );
    cbShowAs->insertItem( tr2i18n( "Scope" ) );
    cbShowAs->insertItem( tr2i18n( "Histogram" ) );
}

void KLSerialTerminalWidgetBase::slotSend()
{
    qWarning( "KLSerialTerminalWidgetBase::slotSend(): Not implemented yet" );
}

void KLSerialTerminalWidgetBase::slotShowAsAscii(bool)
{
    qWarning( "KLSerialTerminalWidgetBase::slotShowAsAscii(bool): Not implemented yet" );
}

void KLSerialTerminalWidgetBase::slotShowAsHEX(bool)
{
    qWarning( "KLSerialTerminalWidgetBase::slotShowAsHEX(bool): Not implemented yet" );
}

void KLSerialTerminalWidgetBase::slotOpenClose()
{
    qWarning( "KLSerialTerminalWidgetBase::slotOpenClose(): Not implemented yet" );
}

void KLSerialTerminalWidgetBase::slotClearReceiver()
{
    qWarning( "KLSerialTerminalWidgetBase::slotClearReceiver(): Not implemented yet" );
}

void KLSerialTerminalWidgetBase::slotShowAsChanged(int)
{
    qWarning( "KLSerialTerminalWidgetBase::slotShowAsChanged(int): Not implemented yet" );
}

#include "klserialterminalwidgetbase.moc"
